#ifndef EDITORVIEW_H
#define EDITORVIEW_H

#include <gtk/gtk.h>
#include "editor.h"


extern void EditorViewMToW(
        gfloat xm, gfloat ym,
        gfloat offset_xm, gfloat offset_ym, gfloat zoom,
        gint *xw, gint *yw,
        gint widthw, gint heightw
);
extern void EditorViewGetViewPositionM(
	editor_struct *e, gfloat *x, gfloat *y
);
extern void EditorViewSetViewPositionM(
        editor_struct *e, gfloat x, gfloat y
);
extern void EditorViewGetViewZoomM(
        editor_struct *e, gfloat *d
);
extern void EditorViewSetViewZoomM(
        editor_struct *e, gfloat d
);
extern void EditorViewGetViewGridSpacingM(
        editor_struct *e, gfloat *d
);
extern void EditorViewSetViewGridSpacingM(
        editor_struct *e, gfloat d
);
extern void EditorViewGetPositionWToM(
	editor_struct *e, gint wx, gint wy,
	gfloat *x, gfloat *y
);
extern void EditorViewGetCursorM(
        editor_struct *e, gfloat *x, gfloat *y, gfloat *z
);
extern void EditorViewSetCursorM(
        editor_struct *e, gfloat x, gfloat y, gfloat z
);

extern void EditorViewDraw(editor_struct *e);
extern gint EditorViewCursorDrawTOCB(gpointer data);

extern gint EditorViewProcessRectangularSelect(
	editor_struct *e
);


#endif	/* EDITORVIEW_H */
